Get Transactions

This API returns a list of all investment account transactions for a specified time frame. The member's pending orders are returned under the PENDING activity type, leading the first page and on that page only (the page requested without an offset), since the investment partner has no activity for an order until it fills. To page, pass the response's nextOffset back as the offset while hasMore is true - do not derive an offset from the returned rows, as the pending orders are not part of the partner's page cursor and their ids are rejected as an offset.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

The name of the client organization

string
required

Unique client-side identifier for the member

string

Start date of date range

string

End date of date range

integer
Defaults to 25

Maximum number of items to be returned per page.

string

Page offset. This is the nextOffset returned by the previous page result.

string

The direction of pagination (prev/next)

activityTypes
array of strings

Comma separated list of activity types to filter transactions by

activityTypes
Responses

401

Not authorized

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json